
Jupiter - Błąd #1904
Znikają nie zapisane wpisy w afiliacjach, nie można usunąć pojedynczych afiliacji przed zapisaniem, 
nie można zapisać artykułu z afiliacjami
2017-12-13 15:32 - Jarosław Bąbel

Status: Rozwiązany Start date: 2017-12-13
Priority: Normalny Due date:
Assignee: Monika Maksymiuk % Done: 0%
Category: ui Estimated time: 0.00 hour
Target version: 0.3
Developer: Monika Maksymiuk Rewizja zgłoszenia GIT: 537a465
Tester: Jarosław Bąbel Rewizja rozwiązania GIT:80e5c9d
Występuje w wersji: 0.3 Rewizja testów GIT:
Waga błędu: Duża
Description

    -  Po DODANIU NOWEJ AFILIACJI nie można zapisać artykułu (pojawia się komunikat o błędzie połączenia z serwerem,
leci błąd w logu)
    -  Po kliknięciu plusa w sekcji afiliacji (dodaj nową afiliację) znikają wszystkie niezapisane wartości afiliacji
        1. dodaj sekcję afiliacji
        2. wpisz wartość (nie zapisuj "dyskietką")
        3. dodaj nowy wiersz afiliacji (ikonka "plus")
        4. znika wcześniej wpisana wartość w inpucie afiliacji

    -  Nie można usunąć wierszy z niezapisanymi afiliacjami - nie działa krzyżyk na końcu wiersza

Related issues:
Related to Jupiter - Zadanie # 1788: Sekcja do zarządzania afiliacjami Odpowiedź 2017-07-28

Associated revisions
Revision b94171d7 - 2018-02-09 16:16 - Monika Maksymiuk

refs #1904. Poprawienie zapisywania afiliacji

History
#1 - 2017-12-28 08:25 - Łukasz Waśkiewicz
- Assignee changed from Michał Komar to Łukasz Waśkiewicz
- Developer Łukasz Waśkiewicz added

#2 - 2017-12-28 09:35 - Łukasz Waśkiewicz
- Assignee changed from Łukasz Waśkiewicz to Monika Maksymiuk
- Developer Monika Maksymiuk added

#3 - 2017-12-28 09:35 - Łukasz Waśkiewicz
- Related to Zadanie #1788: Sekcja do zarządzania afiliacjami added

#4 - 2017-12-29 09:17 - Monika Maksymiuk
- Status changed from Nowy to Odpowiedź
- Assignee changed from Monika Maksymiuk to Jarosław Bąbel

1. Czy nadal jest problem z zapisaniem dokumentu po dodaniu nowej afiliacji?
2. To jest większy problem w oddzielnym tasku
3. Przy edycji afiliacji można rekordy albo usunąć (jeśli afiliacja wczesniej nie była nigdy zapisana, albo anulować). Czy tak faktycznie jest?

Proszę o ponowne przetestowanie punktów 1, 3

#5 - 2018-01-05 14:40 - Jarosław Bąbel
- Assignee changed from Jarosław Bąbel to Monika Maksymiuk
- Developer deleted (Michał Komar)

Nadal nie można zapisać artykułu po dodaniu nowej afiliacji, w logu pojawia się:

org.springframework.http.converter.HttpMessageNotReadableException: JSON parse error: Cannot deserialize instance of java.util.ArrayList
out of START_OBJECT token; nested exception is com.fasterxml.jackson.databind.exc.MismatchedInputException: Cannot deserialize
instance of java.util.ArrayList out of START_OBJECT token
 at [Source: (PushbackInputStream); line: 1, column: 568] (through reference chain:
pl.edu.icm.jupiter.services.api.model.documents.CurrentDocumentBean["yElement"]->pl.edu.icm.model.bwmeta.y.YElement["affiliations"]->java.util.ArrayList[0]->pl.edu.icm.model.bwmeta.y.YAffiliation["attributes"]->java.util.ArrayList[0]->pl.edu.icm.model.bwmeta.y.YAttribute["attributes"])
...

a.util.ArrayList[0]->pl.edu.icm.model.bwmeta.y.YAffiliation["attributes"]->java.util.ArrayList[0]->pl.edu.icm.model.bwmeta.y.YAttribute["attributes"])
...

"])
...

Przykładowo artykuł z BazeKonu, po uzupełnieniu języków i dodaniu jednego wiersza afiliacji daje powyższy błąd przy zapisie.
http://localhost:4200/editor/document/bwmeta1.element.ekon-element-000171198405/edit

Problem ze znikaniem niezapisanych dyskietką wartości nadal występuje (po użyciu śmietnika albo plusa) - ale to chyba faktycznie już jest w #1788.

Krzyżyk działa prawidłowo - wcześniej nie rozumiałem jego zastosowania.

#6 - 2018-02-08 09:33 - Monika Maksymiuk
- Status changed from Odpowiedź to Rozwiązany
- Assignee changed from Monika Maksymiuk to Jarosław Bąbel

#7 - 2018-02-12 12:54 - Jarosław Bąbel
- Status changed from Rozwiązany to Odpowiedź
- Assignee changed from Jarosław Bąbel to Monika Maksymiuk

Firefox i Chrome. Zniknęła możliwość dodawania więcej niż jednej afiliacji. Nie ma plusika w sekcji.

Proszę sprawdź jak jest u Ciebie, bo może coś źle się u mnie buduje?

#8 - 2018-02-13 13:45 - Monika Maksymiuk
- Assignee changed from Monika Maksymiuk to Jarosław Bąbel

Sprawdź, czy to nie Ty popsułeś te plusiki

#9 - 2018-02-14 12:39 - Jarosław Bąbel
- Status changed from Odpowiedź to Rozwiązany
- Assignee changed from Jarosław Bąbel to Monika Maksymiuk
- Rewizja rozwiązania GIT set to 80e5c9d

Faktycznie to ja popsułem plusiki :-) Już poprawione.

Zapisywanie artykułu z afiliacjami działa.
